Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 481056 - =dev-libs/glib-2.36.3-r2 - src_prepare(): Failed Running autoconf: PKG_PROG_PKG_CONFIG not defined
Summary: =dev-libs/glib-2.36.3-r2 - src_prepare(): Failed Running autoconf: PKG_PROG_P...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-14 15:23 UTC by Markos Chandras (RETIRED)
Modified: 2013-10-17 17:57 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markos Chandras (RETIRED) gentoo-dev 2013-08-14 15:23:58 UTC
contents of: var/tmp/portage/dev-libs/glib-2.36.3-r2/temp/autoconf.out


***** autoconf *****
***** PWD: /var/tmp/portage/dev-libs/glib-2.36.3-r2/work/glib-2.36.3
***** autoconf

configure.ac:2650: warning: PKG_PROG_PKG_CONFIG is m4_require'd but not m4_defun'd
m4macros/gtk-doc.m4:7: GTK_DOC_CHECK is expanded from...
configure.ac:2650: the top level
configure.ac:88: error: possibly undefined macro: AC_DEFINE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.


autoconf/automake versions:

sys-devel/autoconf-2.69
sys-devel/automake-1.13.4


Build log (pasting here since it's rather small)

 * Package:    dev-libs/glib-2.36.3-r2
 * Repository: gentoo
 * USE:        abi_mips_n32 elibc_glibc kernel_linux mips python_targets_python2_7 userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
 * Determining the location of the kernel source code
 * Unable to find kernel sources at /usr/src/linux
 * Please make sure that /usr/src/linux points at your running kernel, 
 * (or the kernel you wish to build against).
 * Alternatively, set the KERNEL_DIR environment variable to the kernel sources location
 * Unable to calculate Linux Kernel version for build, attempting to use running version
 * Checking for suitable kernel configuration options...
 [ ok ]
 * Applying glib-2.12.12-fbsd.patch ...
 [ ok ]
 * Applying glib-2.35.x-external-gdbus-codegen.patch ...
 [ ok ]
/var/tmp/portage/dev-libs/glib-2.36.3-r2/temp/environment: line 510: pkg-config: command not found
 * Applying glib-2.36.3-revert-ext34.patch ...
 [ ok ]
 * Running eautoreconf in '/var/tmp/portage/dev-libs/glib-2.36.3-r2/work/glib-2.36.3' ...
 * Skipping 'gtkdocize --copy' due gtkdocize not installed
 * Running libtoolize --install --copy --force --automake ...
 [ ok ]
 * Running aclocal -I m4macros ...
 [ ok ]
 * Running autoconf ...
 [ !! ]

 * Failed Running autoconf !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/dev-libs/glib-2.36.3-r2/temp/autoconf.out

 * ERROR: dev-libs/glib-2.36.3-r2::gentoo failed (prepare phase):
 *   Failed Running autoconf !
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 5773:  Called eautoreconf
 *   environment, line 1694:  Called eautoconf
 *   environment, line 1613:  Called autotools_run_tool '--at-m4flags' 'autoconf'
 *   environment, line 1243:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 * 
 * If you need support, post the output of `emerge --info '=dev-libs/glib-2.36.3-r2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/glib-2.36.3-r2::gentoo'`.
/var/tmp/portage/._portage_reinstall_.Lb_nHg/bin/isolated-functions.sh: line 188: wait: `Failed Running autoconf !': not a pid or valid job spec
 * The complete build log is located at '/var/tmp/portage/dev-libs/glib-2.36.3-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/glib-2.36.3-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-libs/glib-2.36.3-r2/work/glib-2.36.3'
 * S: '/var/tmp/portage/dev-libs/glib-2.36.3-r2/work/glib-2.36.3'



------------------ emerge --info ---------------------------------

Portage 2.1.11.31 (default/linux/mips/13.0/mipsel/multilib/n32, gcc-4.6.3, glibc-2.15-r3, 3.4.27-rt37-Cavium-Octeon mips64)
=================================================================
System uname: Linux-3.4.27-rt37-Cavium-Octeon-mips64-Cavium_Octeon_II_V0.9-with-gentoo-2.2
Timestamp of tree: Wed, 14 Aug 2013 08:15:01 +0000
ld GNU ld (GNU Binutils) 2.23
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.2
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.69
sys-devel/automake:       1.12.4
sys-devel/binutils:       2.23
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo
ACCEPT_KEYWORDS="mips ~mips"
ACCEPT_LICENSE="* -@EULA"
CBUILD="mips64el-unknown-linux-gnu"
CFLAGS="-O2 -march=mips64 -mplt -pipe"
CHOST="mips64el-unknown-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=mips64 -mplt -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/"
LANG="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cxx gdbm iconv ipv6 mips modules mudflap multilib ncurses nls nptl pam pcre readline session ssl tcpd unicode zlib" ABI_MIPS="n32" ALSA_CARDS="au1x00" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev impact newport dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-14 15:36:50 UTC
PKG_PROG_PKG_CONFIG is defined in /usr/share/aclocal/pkg.m4, which should be provided by dev-util/pkgconfig.

Do you have dev-util/pkgconfig installed? Or are you using some alternative implementation of virtual/pkgconfig?
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2013-08-14 15:40:06 UTC
(In reply to Alexandre Rostovtsev from comment #1)
> PKG_PROG_PKG_CONFIG is defined in /usr/share/aclocal/pkg.m4, which should be
> provided by dev-util/pkgconfig.
> 
> Do you have dev-util/pkgconfig installed? Or are you using some alternative
> implementation of virtual/pkgconfig?

Neither dev-util/pkgconfig nor virtual/pkgconfig is installed according to /var/db/pkg/ contents. This happens when building a MIPS64el stage3 so could it be a missing dep?
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-14 15:53:45 UTC
glib depends on gtk-doc-am

gtk-doc-am requires pkg.m4 from pkgconfig at runtime

but gtk-doc-am cannot rdepend on pkgconfig due to circular dependencies, so it has a PDEPEND on virtual/pkgconfig instead.

And apparently, when building your stage3, this results in portage scheduling virtual/pkgconfig after glib.

I wonder how to fix this :/
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2013-08-14 15:59:04 UTC
(In reply to Alexandre Rostovtsev from comment #3)
> glib depends on gtk-doc-am
> 
> gtk-doc-am requires pkg.m4 from pkgconfig at runtime
> 
> but gtk-doc-am cannot rdepend on pkgconfig due to circular dependencies, so
> it has a PDEPEND on virtual/pkgconfig instead.
> 
> And apparently, when building your stage3, this results in portage
> scheduling virtual/pkgconfig after glib.
> 
> I wonder how to fix this :/

I might be missing something but what's stopping you from adding virtual/pkgconfig as DEPEND to glib?
Comment 5 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-14 16:04:52 UTC
(In reply to Markos Chandras from comment #4)
> I might be missing something but what's stopping you from adding
> virtual/pkgconfig as DEPEND to glib?

circular dependency: dev-util/pkgconfig[-internal-glib] rdepends on glib.
Comment 6 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-14 16:06:26 UTC
Possible solution: split pkg.m4 out of pkgconfig into a separate package (maybe "pkgconfig-common" or "pkg-am").
Comment 7 Markos Chandras (RETIRED) gentoo-dev 2013-08-14 19:39:59 UTC
CC'ing releng@ because stable arches will hit this problem as soon as glib-2.36.3-r2 is stabilized and pulled into stages. MIPS does only ~arch so we already have this problem. CC'ing mips@ too to make the rest of the team aware of the problem

For now, we can mask 2.36.X in stages and ship 2.34 instead.
Comment 8 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-08-15 01:24:42 UTC
Turns out we already *had* a fix for this exact problem in glib-2.34.x ebuilds (adding pkgconfig's source tarball to glib's SRC_URI and using pkg.m4 from there), but it was removed for some reason during the 2.36.x bump.

I've restored it with a comment explaining why it is necessary.

Should be fixed now :)

+  15 Aug 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+  glib-2.36.3-r2.ebuild:
+  Restore the pkg.m4 hack from 2.34.x to prevent stage3 build failure (bug
+  #481056, thanks to Markos Chandras).
Comment 9 Oleh 2013-10-14 17:51:49 UTC
sorry, this not solving stage3 failures if pkgconf set as default instead of pkgconfig. This looks rather strange, why not to use a proper one (either pkg-config or pkgconf) to solve this issue. Issue is, with this fix, stages built with pkgconf now trying to use pkgconfig...
Comment 10 Samuli Suominen gentoo-dev 2013-10-17 17:57:38 UTC
(In reply to Oleg from comment #9)
> sorry, this not solving stage3 failures if pkgconf set as default instead of
> pkgconfig. This looks rather strange, why not to use a proper one (either
> pkg-config or pkgconf) to solve this issue. Issue is, with this fix, stages
> built with pkgconf now trying to use pkgconfig...

Adding the tarball containing pkg.m4 to SRC_URI and using it from the ebuild *is the proper fix*
It doesn't matter if you run pkgconf, or pkgconfig, or pkgconfig-openbsd since the pkg.m4 that provides PKG_PROG_PKG_CONFIG is always copies to the glib's m4macros/ subdirectory where it's catched up by the build system

So you have to be more explicit what your problem really is, the given description doesn't make sense